<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerRankRequirement](./bitburner.bladeburnerrankrequirement.md)

## BladeburnerRankRequirement interface

Player must have at least this rank in the Bladeburner Division.

**Signature:**

```typescript
interface BladeburnerRankRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bladeburnerRank](./bitburner.bladeburnerrankrequirement.bladeburnerrank.md) |  | number |  |
|  [type](./bitburner.bladeburnerrankrequirement.type.md) |  | "bladeburnerRank" |  |

